## org.eclipse.contribution.visualiser.internal.help
Class VisualiserHelp

    java.lang.Object
      org.eclipse.contribution.visualiser.internal.help.VisualiserHelp

public class VisualiserHelp
extends java.lang.Object

Constructor Summary
`VisualiserHelp()`

Method Summary
`static org.eclipse.help.IContextProvider` `getHelpContextProvider(org.eclipse.ui.IWorkbenchPart part, java.lang.String contextId)` Creates and returns a help context provider for the given part.
`static void` `setHelp(org.eclipse.jface.viewers.StructuredViewer viewer, java.lang.String contextId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisualiserHelp

    public VisualiserHelp()

Method Detail

### setHelp

    public static void setHelp(org.eclipse.jface.viewers.StructuredViewer viewer,
                               java.lang.String contextId)

### getHelpContextProvider

    public static org.eclipse.help.IContextProvider getHelpContextProvider(org.eclipse.ui.IWorkbenchPart part,
                                                                           java.lang.String contextId)

  Creates and returns a help context provider for the given part.

  Parameters:
    `part` - the part for which to create the help context provider
    `contextId` - the optional context ID used to retrieve static help
  Returns:
    the help context provider